View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000778Ecere SDKide:buildsystempublic2013-01-15 07:162013-08-07 03:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000778: Mixes of " " and escaped spaces do not play well together in makefile/compiler configs
DescriptionThe following rule:

ecp -cpp "C:/Program Files (x86)/ECERE SDK/mingw - 4.4.0/bin/cpp" -IC:/Program\ Files\ \(x86\)/ECERE\ SDK/mingw/include -c /sdk/extras/md5.ec -o obj/debug.win32.gcc-4.4.0/md5.sym

Arg 1: -fmessage-length=0
Arg 2: -cpp
Arg 4: -g
Arg 5: -m32
Arg 6: -D_DEBUG
Arg 7: -IC:/Program\
Arg 8: Files\
Arg 9: \(x86\)/ECERE\
Arg 10: SDK/mingw/include
Arg 11: -I/mssdk/include
Arg 12: -c
Arg 14: -o

does not produce proper arguments, whereas both:

ecp -cpp cpp -IC:/Program\ Files\ \(x86\)/ECERE\ SDK/mingw/include -c /sdk/extras/md5.ec -o obj/debug.win32.gcc-4.4.0/md5.sym

Arg 1: -fmessage-length=0
Arg 2: -cpp
Arg 4: -g
Arg 5: -m32
Arg 6: -D_DEBUG
Arg 7: -IC:/Program Files (x86)/ECERE SDK/mingw/include
Arg 8: -I/mssdk/include
Arg 9: -c
Arg 11: -o

and

ecp -cpp "C:/Program Files (x86)/ECERE SDK/mingw - 4.4.0/bin/cpp" -c /sdk/extras/md5.ec -o obj/debug.win32.gcc-4.4.0/md5.sym

work fine.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000869)
redj (administrator)
2013-05-31 02:31

improved / fixed by https://github.com/redj/ecere-sdk/commit/26e3fc61d5e3ede9ede6fc1b1ad1b6e29f6a0e98 [^]
(0000880)
redj (administrator)
2013-06-05 02:05

I confirm this is fixed

Arguments given:
 -cpp C:/Program Files (x86)/ECERE SDK/mingw - 4.4.0/bin/cpp -IC:/Program Files \(x86\)/ECERE SDK/mingw/include -c /sdk/extras/md5.ec -o obj/debug.win32.gcc-4.4.0/md5.sym

Arg1: -cpp
Arg2: C:/Program Files (x86)/ECERE SDK/mingw - 4.4.0/bin/cpp
Arg3: -IC:/Program Files \(x86\)/ECERE SDK/mingw/include
Arg4: -c
Arg5: /sdk/extras/md5.ec
Arg6: -o
Arg7: obj/debug.win32.gcc-4.4.0/md5.sym



Arguments given:
 -cpp cpp -IC:/Program Files \(x86\)/ECERE SDK/mingw/include -c /sdk/extras/md5.ec -o obj/debug.win32.gcc-4.4.0/md5.sym

Arg1: -cpp
Arg2: cpp
Arg3: -IC:/Program Files \(x86\)/ECERE SDK/mingw/include
Arg4: -c
Arg5: /sdk/extras/md5.ec
Arg6: -o
Arg7: obj/debug.win32.gcc-4.4.0/md5.sym



Arguments given:
 -cpp C:/Program Files (x86)/ECERE SDK/mingw - 4.4.0/bin/cpp -c /sdk/extras/md5.ec -o obj/debug.win32.gcc-4.4.0/md5.sym

Arg1: -cpp
Arg2: C:/Program Files (x86)/ECERE SDK/mingw - 4.4.0/bin/cpp
Arg3: -c
Arg4: /sdk/extras/md5.ec
Arg5: -o
Arg6: obj/debug.win32.gcc-4.4.0/md5.sym
(0000894)
redj (administrator)
2013-06-12 23:20

this points to the problem not being about mixing quoted and non-quoted args with gnu tools but simply the fact that gnu tools can't deal with space escaped paths in switches or something like that


C:\apps\communicator>cpp -IC:/Program\ Files\ \(x86\)/ECERE\ SDK/mingw/include -x c -E "/sdk/extras/md5.ec"
cpp: fatal error: too many input files
compilation terminated.

C:\apps\communicator>cpp -IC:/Program\ Files\ \(x86\)/ECERE\ SDK/mingw/include -x c -E /sdk/extras/md5.ec
cpp: fatal error: too many input files
compilation terminated.

C:\apps\communicator>cpp -I"C:/Program\ Files\ \(x86\)/ECERE\ SDK/mingw/include" -x c -E /sdk/extras/md5.ec
cpp: error: /sdk/extras/md5.ec: No such file or directory
cpp: warning: '-x c' after last input file has no effect
cpp: fatal error: no input files
compilation terminated.
(0000895)
jerome (administrator)
2013-06-13 10:59

Fixed by https://github.com/ecere/sdk/commit/5a5cf3b8711d10f5c46d4a19e3bf25033ab34ad1 [^]

- Issue History
Date Modified Username Field Change
2013-01-15 07:16 jerome New Issue
2013-04-24 02:33 jerome Target Version 0.44.1 64 => 0.45 Ginkakuji
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2013-05-31 02:31 redj Target Version 0.44.8 Silver => 0.44.1 64
2013-05-31 02:31 redj Status new => resolved
2013-05-31 02:31 redj Fixed in Version => 0.44.1 64
2013-05-31 02:31 redj Resolution open => fixed
2013-05-31 02:31 redj Assigned To => redj
2013-05-31 02:31 redj Note Added: 0000869
2013-06-05 01:41 redj Note Added: 0000878
2013-06-05 02:05 redj Note Added: 0000880
2013-06-05 02:05 redj Note Deleted: 0000878
2013-06-05 20:31 jerome Note Added: 0000886
2013-06-05 20:33 jerome Status resolved => assigned
2013-06-05 20:34 jerome Note Deleted: 0000886
2013-06-12 23:20 redj Note Added: 0000894
2013-06-13 10:59 jerome Status assigned => closed
2013-06-13 10:59 jerome Note Added: 0000895
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker